Functions | Variables
stm32l4xx_hal_msp.c File Reference

This file provides code for the MSP Initialization and de-Initialization codes. More...

`#include "main.h"`

Go to the source code of this file.

## Functions
void | HAL_MspInit (void)
void | HAL_I2C_MspInit (I2C_HandleTypeDef *hi2c)
| I2C MSP Initialization This function configures the hardware resources used in this example. More...
void | HAL_I2C_MspDeInit (I2C_HandleTypeDef *hi2c)
| I2C MSP De-Initialization This function freeze the hardware resources used in this example. More...
void | HAL_RTC_MspInit (RTC_HandleTypeDef *hrtc)
| RTC MSP Initialization This function configures the hardware resources used in this example. More...
void | HAL_RTC_MspDeInit (RTC_HandleTypeDef *hrtc)
| RTC MSP De-Initialization This function freeze the hardware resources used in this example. More...
void | HAL_SPI_MspInit (SPI_HandleTypeDef *hspi)
| SPI MSP Initialization This function configures the hardware resources used in this example. More...
void | HAL_SPI_MspDeInit (SPI_HandleTypeDef *hspi)
| SPI MSP De-Initialization This function freeze the hardware resources used in this example. More...
void | HAL_UART_MspInit (UART_HandleTypeDef *huart)
| UART MSP Initialization This function configures the hardware resources used in this example. More...
void | HAL_UART_MspDeInit (UART_HandleTypeDef *huart)
| UART MSP De-Initialization This function freeze the hardware resources used in this example. More...

## Variables
DMA_HandleTypeDef | hdma_spi1_rx
DMA_HandleTypeDef | hdma_spi1_tx
DMA_HandleTypeDef | hdma_usart2_rx
DMA_HandleTypeDef | hdma_usart2_tx

## Detailed Description

This file provides code for the MSP Initialization and de-Initialization codes.

Attention

##
© Copyright (c) 2022 STMicroelectronics. All rights reserved.

This software component is licensed by ST under BSD 3-Clause license, the "License"; You may not use this file except in compliance with the License. You may obtain a copy of the License at: opensource.org/licenses/BSD-3-Clause

Definition in file stm32l4xx_hal_msp.c.

## Function Documentation

## ◆ HAL_I2C_MspDeInit()

void HAL_I2C_MspDeInit | ( | I2C_HandleTypeDef * | hi2c | ) |

I2C MSP De-Initialization This function freeze the hardware resources used in this example.

Parameters

  hi2c | I2C handle pointer

Return values

  None |

I2C2 GPIO Configuration PB10 ---—> I2C2_SCL PB11 ---—> I2C2_SDA

Definition at line 141 of file stm32l4xx_hal_msp.c.

## ◆ HAL_I2C_MspInit()

void HAL_I2C_MspInit | ( | I2C_HandleTypeDef * | hi2c | ) |

I2C MSP Initialization This function configures the hardware resources used in this example.

Parameters

  hi2c | I2C handle pointer

Return values

  None |

Initializes the peripherals clock

I2C2 GPIO Configuration PB10 ---—> I2C2_SCL PB11 ---—> I2C2_SDA

Definition at line 93 of file stm32l4xx_hal_msp.c.

## ◆ HAL_MspInit()

void HAL_MspInit | ( | void |  | ) |

Initializes the Global MSP.

Definition at line 71 of file stm32l4xx_hal_msp.c.

## ◆ HAL_RTC_MspDeInit()

void HAL_RTC_MspDeInit | ( | RTC_HandleTypeDef * | hrtc | ) |

RTC MSP De-Initialization This function freeze the hardware resources used in this example.

Parameters

  hrtc | RTC handle pointer

Return values

  None |

Definition at line 211 of file stm32l4xx_hal_msp.c.

## ◆ HAL_RTC_MspInit()

void HAL_RTC_MspInit | ( | RTC_HandleTypeDef * | hrtc | ) |

RTC MSP Initialization This function configures the hardware resources used in this example.

Parameters

  hrtc | RTC handle pointer

Return values

  None |

Initializes the peripherals clock

Definition at line 174 of file stm32l4xx_hal_msp.c.

## ◆ HAL_SPI_MspDeInit()

void HAL_SPI_MspDeInit | ( | SPI_HandleTypeDef * | hspi | ) |

SPI MSP De-Initialization This function freeze the hardware resources used in this example.

Parameters

  hspi | SPI handle pointer

Return values

  None |

SPI1 GPIO Configuration PA7 ---—> SPI1_MOSI PA6 ---—> SPI1_MISO PA5 ---—> SPI1_SCK

Definition at line 309 of file stm32l4xx_hal_msp.c.

## ◆ HAL_SPI_MspInit()

void HAL_SPI_MspInit | ( | SPI_HandleTypeDef * | hspi | ) |

SPI MSP Initialization This function configures the hardware resources used in this example.

Parameters

  hspi | SPI handle pointer

Return values

  None |

SPI1 GPIO Configuration PA7 ---—> SPI1_MOSI PA6 ---—> SPI1_MISO PA5 ---—> SPI1_SCK

Definition at line 237 of file stm32l4xx_hal_msp.c.

## ◆ HAL_UART_MspDeInit()

void HAL_UART_MspDeInit | ( | UART_HandleTypeDef * | huart | ) |

UART MSP De-Initialization This function freeze the hardware resources used in this example.

Parameters

  huart | UART handle pointer

Return values

  None |

USART1 GPIO Configuration PA10 ---—> USART1_RX PA9 ---—> USART1_TX

USART2 GPIO Configuration PA3 ---—> USART2_RX PA2 ---—> USART2_TX PA0 ---—> USART2_CTS PA1 ---—> USART2_RTS

Definition at line 462 of file stm32l4xx_hal_msp.c.

## ◆ HAL_UART_MspInit()

void HAL_UART_MspInit | ( | UART_HandleTypeDef * | huart | ) |

UART MSP Initialization This function configures the hardware resources used in this example.

Parameters

  huart | UART handle pointer

Return values

  None |

Initializes the peripherals clock

USART1 GPIO Configuration PA10 ---—> USART1_RX PA9 ---—> USART1_TX

Initializes the peripherals clock

USART2 GPIO Configuration PA3 ---—> USART2_RX PA2 ---—> USART2_TX PA0 ---—> USART2_CTS PA1 ---—> USART2_RTS

Definition at line 342 of file stm32l4xx_hal_msp.c.

## Variable Documentation

## ◆ hdma_spi1_rx

DMA_HandleTypeDef hdma_spi1_rx

## ◆ hdma_spi1_tx

DMA_HandleTypeDef hdma_spi1_tx

## ◆ hdma_usart2_rx

DMA_HandleTypeDef hdma_usart2_rx

## ◆ hdma_usart2_tx

DMA_HandleTypeDef hdma_usart2_tx